package pku.sei.dependencegraph.algorithm.summary;

import java.util.ArrayList;
import java.util.Iterator;

import pku.sei.dependencegraph.graph.Path_1;
import pku.sei.dependencegraph.graph.Path_2;

public class TalSummary {
	private ArrayList<Path_1> path1List = new ArrayList<Path_1>();
	private ArrayList<Path_2> path2List = new ArrayList<Path_2>();
	public void addPath1(Path_1 p1) {
		path1List.add(p1);
	}
	public void addPath2(Path_2 p2) {
		path2List.add(p2);
	}
	public int path1size() {
		return path1List.size();
	}
	public int path2size() {
		return path2List.size();
	}
	public Iterator<Path_1> getPath1Iterator() {
		return path1List.iterator();
	}
	public Iterator<Path_2> getPath2Iterator() {
		return path2List.iterator();
	}
}
