package testsuit;

import javax.crypto.SecretKey;

import spec.harness.results.BenchmarkResult;
import spec.harness.results.IterationResult;

public class CryptoBenchmark {

	public static void main(String[] args) {
		spec.benchmarks.crypto.aes.Main.setupBenchmark();
		spec.benchmarks.crypto.aes.Main aes_a = new spec.benchmarks.crypto.aes.Main(new BenchmarkResult(), 1);
		aes_a.harnessMain();
		String inputFile = null;
		String algorithm = null;
		SecretKey key = null;
		aes_a.runEncryptDecrypt(key, algorithm, inputFile);
		IterationResult aaa = null;
		aes_a.runLoop(aaa);
		
		spec.benchmarks.crypto.rsa.Main.setupBenchmark();
		spec.benchmarks.crypto.rsa.Main rsa_a = new spec.benchmarks.crypto.rsa.Main(new BenchmarkResult(), 1);
		rsa_a.harnessMain();
		rsa_a.run();
		rsa_a.runLoop(aaa);
		rsa_a.runMultiEncryptDecrypt("sdf", "sdfnnf");
		rsa_a.runSingleEncryptDecrypt("fnsdf", "sdnmfnsdfjsdfj");
		
		new spec.benchmarks.crypto.signverify.Main(new BenchmarkResult(), 1).harnessMain();
	}
}
