package pku.sei.dependencegraph.graph;

public class Path_2 {
	public int src1;
	public int tgt1;
	public int src2;
	public int tgt2;
	public int pathType;
	
	public Path_2(int src1, int tgt1, int src2, int tgt2, int pathType) {
		this.src1 = src1;
		this.tgt1 = tgt1;
		this.src2 = src2;
		this.tgt2 = tgt2;
		this.pathType = pathType;
	}
	@Override
	public String toString() {
		return "(" + src1 + "," + tgt1 + "," + src2 + "," + tgt2 + ")<" + pathType + ">";
	}
	@Override
	public boolean equals(Object o) {
		if (o instanceof Path_2) {
			Path_2 p = (Path_2)o;
			return src1 == p.src1 && tgt1 == p.tgt1 
					&& src2 == p.src2 && tgt2 == p.tgt2 
					&& pathType == p.pathType;
		}
		return false;
	}
	@Override
	public int hashCode() {
		return ((((src1 * 9781 + tgt1) * 881 + pathType) * 786431 + src2) * 881 + tgt2) * 9781;
	}
}
